<?php $tracking = $this->getPremiseTrackingMeta($post->ID); ?>
<?php $settings = $this->getSettings(); $trackingSettings = $settings['tracking']; ?>

<div class="premise-option-box">
	<h4><?php _e('Duplicate Page'); ?></h4>
	<p><?php _e('Do you want to duplicate this page and all associated meta so that you can A/B test two versions?'); ?></p>
	<input class="button button-primary" type="submit" name="premise-duplicate-page" id="premise-duplicate-page" value="<?php _e('Duplicate!'); ?>" />
</div>

<h4><?php _e('Visual Website Optimizer'); ?></h4>
<p><?php printf(__('To use VWO on this page, make sure you have your Visual Website Optimizer Account ID entered on the <a target="_blank" href="%s">Main Settings</a> page, then log into your VWO account to set up and conduct your tests.'), admin_url('admin.php?page=premise-main')); ?>

<h4><?php _e('Google Website Optimizer'); ?></h4>
<?php if(empty($trackingSettings['account-id'])) { ?>

<p><?php printf(__('You must <a target="_blank" href="%s">setup</a> your Google Website Optimizer account ID before enabling tracking on this landing page.'), admin_url('admin.php?page=premise-main#premise-tracking')); ?></p>

<?php } else { ?>

<p><?php _e('You can use Google Website Optimizer to track your conversions and do A/B or multivariate testing for this landing page. You have to set up a few options before it is ready to go.'); ?></p>

<p><?php _e('<strong>Note:</strong> You must publish your page before Google can validate your page for testing. GWO will not be able to see your page when it is set as Draft or Private. once published, you can validate and set up your experiments in your GWO account.'); ?></p>

<div class="premise-option-box">
	<h4><?php _e('Enable Google Website Optimizer'); ?></h4>
	<p><?php _e('Google Website Optimizer support for this page is disabled by default.  To turn it on, simply check the box.'); ?></p>
	<ul>
		<li>
			<label>
				<input <?php checked(1, $tracking['enable-gwo']); ?> type="checkbox" name="premise-tracking[enable-gwo]" id="premise-tracking-enable-gwo" value="1" />
				<?php _e('Enable Google Website Optimizer for this page?'); ?>
			</label>
		</li>
	</ul>
</div>

<div id="premise-tracking-enabled-options">
	<div class="premise-option-box">
		<h4><?php _e('A/B Test Status'); ?></h4>
		<p><?php _e('Is this page part of an A/B test?  If so, check the box below.'); ?></p>
		<ul>
			<li>
				<label>
					<input <?php checked(1, $tracking['ab']); ?> type="checkbox" name="premise-tracking[ab]" id="premise-tracking-ab" value="1" />
					<?php _e('This page is part of an A/B test'); ?>
				</label>
			</li>
			<li id="premise-tracking-ab-original-container">
				<label>
					<input <?php checked(1, $tracking['ab-original']); ?> type="checkbox" name="premise-tracking[ab-original]" id="premise-tracking-ab-original" value="1" />
					<?php _e('This page is the original'); ?>
				</label>
			</li>
		</ul>
	</div>

	<div class="premise-option-box">
		<h4><label for="premise-tracking-test-id"><?php _e('Test ID'); ?></label></h4>
		<p><?php _e('Enter your experiment tracking ID or enter your test tracking code and we\'ll parse the ID for you.'); ?></p>
		<input class="large-text code" name="premise-tracking[test-id]" id="premise-tracking-test-id" value="<?php esc_attr_e($tracking['test-id']); ?>" />
		<p>
			<strong><?php _e('Recommended:'); ?></strong>
			<?php _e('If you\'re not sure how to find your test ID, just copy the entire test tracking code that Google gives you into the input above.  Premise will sort everything out.'); ?>
		</p>
	</div>

	<div class="premise-option-box">
		<h4><?php _e('Page Tracking Type'); ?></h4>
		<p><?php _e('What kind of page is this in light of your test?  Is it a test page or a goal page?'); ?></p>
		<ul>
			<li>
				<label>
					<input <?php checked(true, empty($tracking['page-type']) || 'test' == $tracking['page-type']); ?> type="radio" name="premise-tracking[page-type]" id="premise-tracking-page-type-test" value="test" />
					<?php _e('This is a test page'); ?>
				</label>
			</li>
			<li>
				<label>
					<input <?php checked('goal', $tracking['page-type']); ?> type="radio" name="premise-tracking[page-type]" id="premise-tracking-page-type-goal" value="goal" />
					<?php _e('This is a goal page'); ?>
				</label>
			</li>
			<li id="premise-tracking-link-click-conversion-container">
				<label>
					<input <?php checked(1, $tracking['link-click-conversion']); ?> type="checkbox" name="premise-tracking[link-click-conversion]" id="premise-tracking-link-click-conversion" value="1" />
					<?php _e('Treat link clicks as conversions (goal)'); ?>
				</label>
			</li>
		</ul>
	</div>
</div>

<?php wp_nonce_field('save-premise-tracking-settings', 'save-premise-tracking-settings-nonce'); ?>
<?php } ?>