<?php $main = $settings['main']; ?>
<?php $seo = $settings['seo']; ?>
<?php $optin = $settings['optin']; ?>
<?php $tracking = $settings['tracking']; ?>

<h3><?php _e('General'); ?></h3>
<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><label for="premise-main-api-key"><?php _e('API Key'); ?></label></th>
			<td>
				<input class="regular-text" type="text" name="premise[main][api-key]" id="premise-main-api-key" value="<?php esc_attr_e($main['api-key']); ?>" />
			</td>
		</tr>
		<tr>
			<th scope="row"><?php _e('Landing Page URLs'); ?></th>
			<td>
				<label for="premise-main-rewrite-root">
					<input <?php checked(1, $main['rewrite-root']); ?> type="checkbox" name="premise[main][rewrite-root]" id="premise-main-rewrite-root" value="1" />
					<?php printf(__('Landing pages should have URLs off the site root (like <code>%slanding-page-slug/</code>)'), home_url('/')); ?>
				</label>
			</td>
		</tr>
		<tr id="premise-main-rewrite-container">
			<th scope="row"><label for="premise-main-rewrite"><?php _e('Rewrite Structure'); ?></label></th>
			<td>
				<code><?php esc_html_e(site_url('/')); ?></code><input type="text" class="code" name="premise[main][rewrite]" id="premise-main-rewrite" value="<?php esc_attr_e($main['rewrite']); ?>" /><code>/landing-page-title/</code>
			</td>
		</tr>
	</tbody>
</table>

<h3><?php _e('Content'); ?></h3>
<p><?php _e('The content settings below are defaults and will be overridden per landing page.'); ?></p>
<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><label for="premise-main-default-header-image"><?php _e('Default Header Image'); ?></label></th>
			<td>
				<input class="regular-text" type="text" name="premise[main][default-header-image]" id="premise-main-default-header-image" value="<?php esc_attr_e($main['default-header-image']); ?>" /> <a class="thickbox" href="<?php esc_attr_e(add_query_arg(array('send_to_premise_field_id'=>'premise-main-default-header-image', 'TB_iframe' => 1, 'width' => 640, 'height' => 459), add_query_arg('TB_iframe', null, get_upload_iframe_src('image')))); ?>"><?php _e('Upload'); ?></a><br />
				<small><?php _e('Enter the URL to an image that you wish to use in the header of your landing pages by default.')?></small>
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="premise-main-default-footer-text"><?php _e('Default Footer Text'); ?></label></th>
			<td>
				<input class="regular-text" type="text" name="premise[main][default-footer-text]" id="premise-main-default-footer-text" value="<?php esc_attr_e($main['default-footer-text']); ?>" />
			</td>
		</tr>
	</tbody>
</table>

<h3><?php _e('SEO'); ?></h3>

<input type="hidden" name="premise[seo][indicator]" value="1" />
<p><?php _e('The SEO settings below are defaults and will be overridden per landing page.'); ?></p>
<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><?php _e('Robots Meta Settings'); ?></th>
			<td>
				<ul>
					<li>
						<label>
							<input <?php checked(1, $seo['noindex']); ?> type="checkbox" name="premise[seo][noindex]" id="premise-seo-noindex" value="1" />
							<?php _e('Apply <code>noindex</code> to page'); ?>
						</label>
						<a href="#" class="premise-link-tip"><?php _e(''); ?></a>
					</li>
					<li>
						<label>
							<input <?php checked(1, $seo['nofollow']); ?> type="checkbox" name="premise[seo][nofollow]" id="premise-seo-nofollow" value="1" />
							<?php _e('Apply <code>nofollow</code> to page'); ?>
						</label>
						<a href="#" class="premise-link-tip"><?php _e(''); ?></a>
					</li>
					<li>
						<label>
							<input <?php checked(1, $seo['noarchive']); ?> type="checkbox" name="premise[seo][noarchive]" id="premise-seo-noarchive" value="1" />
							<?php _e('Apply <code>noarchive</code> to page'); ?>
						</label>
						<a href="#" class="premise-link-tip"><?php _e(''); ?></a>
					</li>
				</ul>
				<small><?php _e('You can add these tags to tell robots not to index the content of a page, not scan it for links to follow, and/or remove your pages from the Google Cache.'); ?></small>
			</td>
		</tr>
		<tr>
			<th scope="row"><?php _e('Feed Autodetect'); ?></th>
			<td>
				<ul>
					<li>
						<label>
							<input <?php checked(1, $seo['disable-feed']); ?> type="checkbox" name="premise[seo][disable-feed]" id="premise-seo-disable-feed" value="1" />
							<?php _e('Turn off Feed Autodetect for this page?'); ?>
						</label>
					</li>
				</ul>
				<small><?php _e('On by default &mdash; checking the box turns it off.  You may not want your feed autodetect to show up on a landing page, as it may deter from your call to action.  You can turn off the feed autodiscovery only for this page and not the rest of your site.'); ?></small>
			</td>
		</tr>
	</tbody>
</table>

<h3><?php _e('Email Providers'); ?></h3>
<p><?php _e('Premise integrates with several opt in providers, including Aweber, Constant Contact, and MailChimp.  In order to activate these services, please enter your information below.'); ?></p>

<h4><?php _e('AWeber'); ?></h4>
<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><label for="premise-optin-aweber-authorization]"><?php _e('AWeber Authorization Code'); ?></label></th>
			<td>
				<input type="text" class="code large-text" name="premise[optin][aweber-authorization]" id="premise-optin-aweber-authorization" value="<?php esc_attr_e($optin['aweber-authorization']); ?>" /><br />
				<a href="<?php echo $this->_optin_AweberAuthenticationUrl . $this->_optin_AweberApplicationId; ?>" target="_blank"><?php _e('Click here to get your authorization code.'); ?></a>
			</td>
		</tr>
	</tbody>
</table>

<h4><?php _e('Constant Contact'); ?></h4>
<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><label for="premise-optin-constant-contact-username"><?php _e('Constant Contact Username'); ?></label></th>
			<td>
				<input type="text" class="code regular-text" name="premise[optin][constant-contact-username]" id="premise-optin-constant-contact-username" value="<?php esc_attr_e($optin['constant-contact-username']); ?>" /><br />
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="premise-optin-constant-contact-password"><?php _e('Constant Contact Password'); ?></label></th>
			<td>
				<input type="text" class="code regular-text" name="premise[optin][constant-contact-password]" id="premise-optin-constant-contact-password" value="<?php esc_attr_e($optin['constant-contact-password']); ?>" /><br />
			</td>
		</tr>
	</tbody>
</table>

<h4><?php _e('MailChimp'); ?></h4>
<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><label for="premise-optin-mailchimp-api"><?php _e('MailChimp API Key'); ?></label></th>
			<td>
				<input type="text" class="code large-text" name="premise[optin][mailchimp-api]" id="premise-optin-mailchimp-api" value="<?php esc_attr_e($optin['mailchimp-api']); ?>" /><br />
				<a href="http://admin.mailchimp.com/account/api-key-popup" target="_blank"><?php _e('Get your API key.'); ?></a>
			</td>
		</tr>
	</tbody>
</table>

<h3 id="premise-tracking"><?php _e('Testing'); ?></h3>
<p><?php _e('Premise provides support for Google Website Optimizer or Visual Website Optimizer.  In order to use this functionality, you must configure your account IDs below.'); ?></p>


<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><label for="premise-tracking-account-id"><?php _e('Google Website Optimizer Account ID'); ?></label></th>
			<td>
				<input class="regular-text" type="text" name="premise[tracking][account-id]" id="premise-tracking-account-id" value="<?php esc_attr_e($tracking['account-id']); ?>" /> <br />
				<?php _e('Please enter the entire account ID, including the UA string.  If you do not know your account ID, please just paste your entire control and tracking script and Premise will extract it.'); ?>
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="premise-tracking-vwo-account-id"><?php _e('Visual Website Optimizer Account ID'); ?></label></th>
			<td>
				<input class="regular-text" type="text" name="premise[tracking][vwo-account-id]" id="premise-tracking-vwo-account-id" value="<?php esc_attr_e($tracking['vwo-account-id']); ?>" />
			</td>
		</tr>
	</tbody>
</table>

<h3 id="premise-scripts"><?php _e('Scripts'); ?></h3>
<p><?php _e('Premise allows you to add content to either the header or footer.  Insert some code into the textareas below to make it appear on all Premise landing pages.'); ?></p>

<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><label for="premise-scripts-header"><?php _e('Header Scripts'); ?></label></th>
			<td>
				<textarea rows="6" class="large-text code" name="premise[scripts][header]" id="premise-scripts-header"><?php esc_html_e($settings['scripts']['header']); ?></textarea>
			</td>
		</tr>
		<tr>
			<th scope="row"><label for="premise-scripts-footer"><?php _e('Footer Scripts'); ?></label></th>
			<td>
				<textarea rows="6" class="large-text code" name="premise[scripts][footer]" id="premise-scripts-footer"><?php esc_html_e($settings['scripts']['footer']); ?></textarea>
			</td>
		</tr>
	</tbody>
</table>

<p class="submit">
	<?php wp_nonce_field('save-premise-settings', 'save-premise-settings-nonce'); ?>
	<input type="submit" class="button-primary" name="save-premise-settings" id="save-premise-settings" value="<?php _e('Save Changes'); ?>" />
</p>